
QGIS Application - Bug report #13406

Inverted polygon renderer and shapeburst fill create ghost borders in qgis server tiles

2015-09-23 02:26 AM - Regis Haubourg

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 21455

Description

Working on qgisserver install here with tiled client (Lizmap), we encountered that empty tiles are rendered with borders inheriting from

shapeburstfill. 

See picture [0]

That is fine in desktop QGIS mapcanvas unless we put an oversized "shade to distance" value. 

See [1]

Any idea if there could be a workaround to avoid that with inverted polygon renderer tiles?

topic first asked here with no response: [[

http://osgeo-org.1560.x6.nabble.com/Inverted-polygon-renderer-and-shapeburst-fill-in-qgis-server-tiles-td5224645.html]]

[0] https://drive.google.com/file/d/0BzatQbprJ-hjM3RnTmFMaEZiWDQ/view?usp=sharing

[1] https://drive.google.com/file/d/0BzatQbprJ-hjbXdESU1xUFJhdVU/view?usp=sharing

History

#1 - 2015-09-29 05:48 PM - Nyall Dawson

- Assignee deleted (Nyall Dawson)

#2 - 2015-12-23 08:22 AM - Regis Haubourg

- Target version changed from Future Release - High Priority to Future Release - Nice to have

lowering priority, we can use untiled layers for such use cases.

#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2018-02-25 10:46 AM - Regis Haubourg

- Status changed from Open to Feedback

- Priority changed from Normal to Low

- Description updated

#5 - 2018-02-25 05:14 PM - Giovanni Manghi

Hi Regis, why feedback? because it needs to be checked on qgis server 3?
#6 - 2018-02-25 06:31 PM - Regis Haubourg

Yes !

#7 - 2018-08-16 03:19 PM - Giovanni Manghi

Does it work as expected on qgis server 3?

#8 - 2019-02-23 08:36 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
